使用vs2015打开以前版本的.sln工程不兼容的问题

1.如图,使用vs2015打开以前的vs版本创建的工程时,提示不兼容,工程下显示不了文件信息:



2.在网上搜索了许久,找到了许多五花八门的办法,总结有下面几种:

1)下载vs project converter,我按照说明下载该软件安装以后,电脑上没有任何效果

2)下载Visual Studio 20XX Tools for Unity,该插件安装以后,同样没有效果,后来才知道这是vs用来调试代码的,在CSDN上这个回答有人赞,但是不适用我这种情况

3)改变工程的.Net Framework框架,当时我是非常想试一下这个方法的,因为在另一台能够正常打开该.sln工程的电脑上,编译时提出警告电脑上找不到.Net Framework 3.5框架,我在控制面板的所有程序里面查看了一下,只有.Net Framework 4.0版本,但是我在有问题的这台电脑上,点击工程属性,无论如何都找不到哪里可以改变工程所使用的.Net Framework框架,即使我已经安装了.Net Framework3.5

4)这是搜到的一个比较麻烦的方法,用记事本打开.sln这个文件,然后编辑修改里面的内容,再改一些其他文件,实在太繁琐了, 改到后面恐怕自己都不知道自己做了哪些操作,此方法就没有试


3.解决办法:

5)打开vs2015, 点击工具->扩展和更新,在弹出的对话框左侧单机联机,在右侧输入installer关键词,内容截屏如下,下载Microsoft Visual Studio 2015 Installer Projects,

安装以后再次用vs2015打开工程,一切正常,问题解决




阅读更多
换一批

没有更多推荐了,返回首页